<template>
  <div class="flex flex-col max-height-97" style="width: 500px;">
    <header
      class="top-0 flex items-center bg-white lg:bg-whitesmoke-lighter shadow-md lg:shadow-none py-1 flex bg-primary-blue lg:bg-aliceblue "
    >
      <div class="flex lg:flex-col w-full mt-2 mb-2">
        <div class="flex justify-between items-center lg:pl-4">
          <h2
            class="hidden lg:flex text-center lg:text-left text-primary-blue lg:text-gray-title lg:font-semibold text-lg lg:text-xl"
          >
            Order Trip
          </h2>
          <router-link :to="`/transaction/order/upcoming`">
            <div
              class="mr-auto lg:mr-0 lg:ml-auto pt-2 pb-1 pl-2 lg:px-4 z-60 cursor-pointer flex items-center"
            >
              <i
                class="icon-close text-2xl text-white lg:text-primary-blue hover:bg-whitesmoke-darker rounded"
              ></i>
            </div>
          </router-link>
        </div>
        <div class="relative w-full px-3 lg:px-4 mt-2 items-center">
          <div class="w-full px-4 py-3 bg-white rounded-lg lg:shadow-xl">
            <div class="flex items-center cursor-pointer">
              <span class="font-apercu text-gray-title">Regular</span>
              <i
                class="icon-arrow-drop-down text-2xl text-primary-blue ml-auto"
              ></i>
            </div>
          </div>
        </div>
      </div>
    </header>

    <section class="h-auto bg-white">
      <div
        class="max-h-screen-83 show-scrollbar py-12 flex items-center justify-center"
      >
        FORM CREATE ORDER
      </div>
    </section>
  </div>
</template>

<script>
export default {
  data() {
    return {
      showModal: this.$route.meta.showModal,
    };
  },

  watch: {
    "$route.meta"({ showModal }) {
      this.showModal = showModal;
    },
  },

  created() {
    console.log("aaa");
  },
};
</script>
